### 5.14 `stpcpy`—copy string returning a pointer to its end

Synopsis

         #include <string.h>
         char *stpcpy(char *dst, const char *src);

Description
`stpcpy` copies the string pointed to by src (including the terminating null character) to the array pointed to by dst.

Returns
This function returns a pointer to the end of the destination string, thus pointing to the trailing '\0'.

Portability
`stpcpy` is a GNU extension, candidate for inclusion into POSIX/SUSv4.

`stpcpy` requires no supporting OS subroutines.